Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 803116 (CVE-2021-32773) - <dev-scheme/racket-8.2: confused deputy attack in sandbox module restriction (CVE-2021-32773)
Summary: <dev-scheme/racket-8.2: confused deputy attack in sandbox module restriction ...
Status: IN_PROGRESS
Alias: CVE-2021-32773
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: Gentoo Security
URL: https://github.com/racket/racket/secu...
Whiteboard: B4 [glsa?]
Keywords:
Depends on: 820197
Blocks:
  Show dependency tree
 
Reported: 2021-07-20 22:52 UTC by John Helmert III
Modified: 2021-12-04 17:16 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description John Helmert III gentoo-dev Security 2021-07-20 22:52:14 UTC
CVE-2021-32773:

Racket is a general-purpose programming language and an ecosystem for language-oriented programming. In versions prior to 8.2, code evaluated using the Racket sandbox could cause system modules to incorrectly use attacker-created modules instead of their intended dependencies. This could allow system functions to be controlled by the attacker, giving access to facilities intended to be restricted. This problem is fixed in Racket version 8.2. A workaround is available, depending on system settings. For systems that provide arbitrary Racket evaluation, external sandboxing such as containers limit the impact of the problem. For multi-user evaluation systems, such as the `handin-server` system, it is not possible to work around this problem and upgrading is required.

Patch: https://github.com/racket/racket/commit/6ca4ffeca1e5877d44f835760ad89f18488d97e1

Please bump.
Comment 1 NATTkA bot gentoo-dev 2021-07-29 17:20:51 UTC Comment hidden (obsolete)
Comment 2 NATTkA bot gentoo-dev 2021-07-29 17:28:57 UTC Comment hidden (obsolete)
Comment 3 NATTkA bot gentoo-dev 2021-07-29 17:36:54 UTC Comment hidden (obsolete)
Comment 4 NATTkA bot gentoo-dev 2021-07-29 17:44:57 UTC Comment hidden (obsolete)
Comment 5 NATTkA bot gentoo-dev 2021-07-29 17:53:00 UTC Comment hidden (obsolete)
Comment 6 NATTkA bot gentoo-dev 2021-07-29 17:56:56 UTC Comment hidden (obsolete)
Comment 7 NATTkA bot gentoo-dev 2021-07-29 18:00:56 UTC Comment hidden (obsolete)
Comment 8 NATTkA bot gentoo-dev 2021-07-29 18:09:13 UTC
Package list is empty or all packages have requested keywords.
Comment 9 Larry the Git Cow gentoo-dev 2021-12-03 16:05:50 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4057b1d7add942eb4da35d7b4ff2695990068bac

commit 4057b1d7add942eb4da35d7b4ff2695990068bac
Author:     Maciej Barć <xgqt@gentoo.org>
AuthorDate: 2021-12-03 15:59:43 +0000
Commit:     Maciej Barć <xgqt@gentoo.org>
CommitDate: 2021-12-03 16:05:38 +0000

    dev-scheme/racket: drop old
    
    remove vulnerable versions lesser than 8.2
    
    Bug: https://bugs.gentoo.org/803116
    Closes: https://bugs.gentoo.org/711098
    Closes: https://bugs.gentoo.org/715324
    Closes: https://bugs.gentoo.org/749729
    Closes: https://bugs.gentoo.org/749735
    Closes: https://bugs.gentoo.org/755008
    Closes: https://bugs.gentoo.org/779466
    Closes: https://bugs.gentoo.org/814899
    Package-Manager: Portage-3.0.28, Repoman-3.0.3
    Signed-off-by: Maciej Barć <xgqt@gentoo.org>

 dev-scheme/racket/Manifest             |  12 ---
 dev-scheme/racket/racket-7.0-r1.ebuild |  93 -----------------
 dev-scheme/racket/racket-7.1-r1.ebuild |  93 -----------------
 dev-scheme/racket/racket-7.2-r1.ebuild |  94 ------------------
 dev-scheme/racket/racket-7.3-r1.ebuild |  94 ------------------
 dev-scheme/racket/racket-8.0-r1.ebuild | 113 ---------------------
 dev-scheme/racket/racket-8.1-r1.ebuild | 176 ---------------------------------
 7 files changed, 675 deletions(-)
Comment 10 John Helmert III gentoo-dev Security 2021-12-04 17:16:51 UTC
Thank you!